Cartridge.hpp File Reference
`#include <string>`
`#include "../Memory/IMemory.hpp"`
`#include "../Models/Ints.hpp"`
`#include "../Memory/IRectangleMemory.hpp"`
`#include "InterruptVectors.hpp"`
Include dependency graph for Cartridge.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | ComSquare::Cartridge::Header
class | ComSquare::Cartridge::Cartridge
| Contains the rom's memory/instructions. More...

## Namespaces

| ComSquare
| ComSquare::Cartridge

## Macros

#define | ADDMAPPINGMODE(x, flag) (x = static_cast<MappingMode>(x | (flag)))

## Enumerations

enum | ComSquare::Cartridge::MappingMode { ComSquare::Cartridge::LoRom = 1u << 0u, ComSquare::Cartridge::HiRom = 1u << 1u, ComSquare::Cartridge::SlowRom = 1u << 2u, ComSquare::Cartridge::FastRom = 1u << 3u, ComSquare::Cartridge::ExRom = 1u << 4u }

## Macro Definition Documentation

## ADDMAPPINGMODE

#define ADDMAPPINGMODE | ( |  | x,
|  |  | flag
| ) |  | (x = static_cast<MappingMode>(x | (flag)))